Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2004-0191

Overview

Vulnerability Score 6.8 6.8
CVE Id CVE-2004-0191
Last Modified 05 Sep 2008 04:37:46
Published 15 Mar 2004 12:00:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2004-0191

Summary

Mozilla before 1.4.2 executes Javascript events in the context of a new page while it is being loaded, allowing it to interact with the previous page (zombie document) and enable cross-domain and cross-site scripting (XSS) attacks, as demonstrated using onmousemove events.

Vulnerable Systems

Application

  • Mozilla 0.8

  • Mozilla 0.9.2

  • Mozilla 0.9.2.1

  • Mozilla 0.9.3

  • Mozilla 0.9.35

  • Mozilla 0.9.4

  • Mozilla 0.9.4.1

  • Mozilla 0.9.48

  • Mozilla 0.9.5

  • Mozilla 0.9.6

  • Mozilla 0.9.7

  • Mozilla 0.9.8

  • Mozilla 0.9.9

  • Mozilla 1.0

  • Mozilla 1.0.1

  • Mozilla 1.0.2

  • Mozilla 1.1

  • Mozilla 1.2

  • Mozilla 1.2.1

  • Mozilla 1.3

  • Mozilla 1.3.1

  • Mozilla 1.4

  • Mozilla 1.4.1

  • Mozilla 1.5


References

XF - mozilla-event-handler-xss(15322)

BID - 9747

BUGTRAQ - 20040225 Sandblad #13: Cross-domain exploit on zombie document with event handlers

CONFIRM - http://bugzilla.mozilla.org/show_bug.cgi?id=227417

REDHAT - RHSA-2004:112

REDHAT - RHSA-2004:110

OSVDB - 4062

HP - SSRT4722


Last Updated: 27 May 2016 10:38:30